# remirepo/fedora spec file for php-true-punycode
#
# Copyright (c) 2015-2020 Remi Collet
# License: CC-BY-SA
# http://creativecommons.org/licenses/by-sa/4.0/
#
# Please, preserve the changelog entries
#
%bcond_without tests

%global gh_commit    a4d0c11a36dd7f4e7cd7096076cab6d3378a071e
%global gh_short     %(c=%{gh_commit}; echo ${c:0:7})
%global gh_owner     true
%global gh_project   php-punycode

Name:           php-true-punycode
Version:        2.1.1
Release:        11%{?dist}
Summary:        A Bootstring encoding of Unicode for IDNA

License:        MIT
URL:            https://github.com/%{gh_owner}/%{gh_project}
Source0:        %{name}-%{version}-%{gh_short}.tgz
Source1:        makesrc.sh

BuildArch:      noarch
BuildRequires:  php(language) >= 5.3
BuildRequires:  php-mbstring
BuildRequires:  %{_bindir}/phpunit
BuildRequires:  php-fedora-autoloader-devel

# From composer.json
#               "symfony/polyfill-mbstring": "^1.3",
#               "php": ">=5.3.0"
Requires:       php(language) >= 5.3
# Simpler, and we don't want symfony/polyfill-mbstring
Requires:       php-mbstring
# Autoloader
Requires:       php-composer(fedora/autoloader)

Provides:       php-composer(true/punycode) = %{version}


%description
A Bootstring encoding of Unicode for Internationalized Domain Names
in Applications (IDNA).

Autoloader: %{_datadir}/php/TrueBV/autoload.php


%prep
%setup -q -n %{gh_project}-%{gh_commit}


%build
: Generate a classmap autoloader
%{_bindir}/phpab --template fedora --output src/autoload.php src


%install
mkdir -p   %{buildroot}%{_datadir}/php
cp -pr src %{buildroot}%{_datadir}/php/TrueBV


%check
%if %{with tests}
mkdir vendor
ln -s %{buildroot}%{_datadir}/php/TrueBV/autoload.php vendor/autoload.php

# testEncodeUppercase affected by IDNA2003/2008 changes
: Run test suite
ret=0
for cmd in php php73 php74 php80 php81; do
  if which $cmd; then
    $cmd %{_bindir}/phpunit \
      --filter '^((?!(testEncodeUppercase)).)*$' \
      --verbose || ret=1
  fi
done
exit $ret
%else
: Test suite disabled
%endif


%files
# remirepo:1
%{!?_licensedir:%global license %%doc}
%license LICENSE
%doc *.md
%doc composer.json
%{_datadir}/php/TrueBV


%changelog
* Tue Aug 11 2020 Remi Collet <remi@fedoraproject.org> - 2.1.1-11
- cleanup

* Tue Oct 16 2018 Remi Collet <remi@fedoraproject.org> - 2.1.1-6
- skip 1 test failing with PHP 7.3 reported as
  https://github.com/true/php-punycode/issues/29

* Wed Nov 16 2016 Remi Collet <remi@fedoraproject.org> - 2.1.1-1
- update to 2.1.1 (no change)
- switch to fedora/autoloader

* Wed Aug 10 2016 Remi Collet <remi@fedoraproject.org> - 2.1.0-1
- update to 2.1.0
- add autoloader

* Wed May 25 2016 Remi Collet <remi@fedoraproject.org> - 2.0.3-1
- update to version 2.0.3 (no change)
- use git snapshot for sources with tests

* Fri Jan  8 2016 Remi Collet <remi@fedoraproject.org> - 2.0.2-1
- update to version 2.0.2
- run test suite with both PHP 5 and 7 when available

* Wed Sep  2 2015 Remi Collet <remi@fedoraproject.org> - 2.0.1-1
- update to version 2.0.1 (no change)

* Sun Aug  9 2015 Remi Collet <remi@fedoraproject.org> - 2.0.0-1
- update to version 2.0.0

* Mon May 18 2015 Remi Collet <remi@fedoraproject.org> - 1.1.0-1
- update to version 1.1.0

* Wed Jan  7 2015 Remi Collet <remi@fedoraproject.org> - 1.0.1-1
- initial package
